Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transaction
Class MuleTransactionConfig

    java.lang.Object
      org.mule.transaction.MuleTransactionConfig

All Implemented Interfaces:
  MuleContextAware, TransactionConfig

    public class MuleTransactionConfig

extends Object
implements TransactionConfig, MuleContextAware

`MuleTransactionConfig` defines transaction configuration for a transactional endpoint.

Field Summary
`static String` | `ACTION_ALWAYS_BEGIN_STRING`
`static String` | `ACTION_ALWAYS_JOIN_STRING`
`static String` | `ACTION_BEGIN_OR_JOIN_STRING`
`static String` | `ACTION_JOIN_IF_POSSIBLE_STRING`
`static String` | `ACTION_NEVER_STRING`
`static String` | `ACTION_NONE_STRING`
`protected static Log` | `logger` logger used by this class

Fields inherited from interface org.mule.api.transaction.TransactionConfig
`ACTION_ALWAYS_BEGIN, ACTION_ALWAYS_JOIN, ACTION_BEGIN_OR_JOIN, ACTION_DEFAULT, ACTION_JOIN_IF_POSSIBLE, ACTION_NEVER, ACTION_NONE`

Constructor Summary
`MuleTransactionConfig()`

Method Summary
`boolean` | `equals(Object obj)`
`byte` | `getAction()`
`String` | `getActionAsString()`
`ConstraintFilter` | `getConstraint()`
`TransactionFactory` | `getFactory()`
`int` | `getTimeout()`
`int` | `hashCode()`
`boolean` | `isConfigured()`
`boolean` | `isInteractWithExternal()`
`boolean` | `isTransacted()`
`void` | `setAction(byte action)`
`void` | `setActionAsString(String action)`
`void` | `setConstraint(ConstraintFilter constraint)`
`void` | `setFactory(TransactionFactory factory)`
`void` | `setInteractWithExternal(boolean interactWithExternal)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setTimeout(int timeout)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

### ACTION_NONE_STRING

    public static final String ACTION_NONE_STRING

See Also:
  Constant Field Values

### ACTION_ALWAYS_BEGIN_STRING

    public static final String ACTION_ALWAYS_BEGIN_STRING

See Also:
  Constant Field Values

### ACTION_BEGIN_OR_JOIN_STRING

    public static final String ACTION_BEGIN_OR_JOIN_STRING

See Also:
  Constant Field Values

### ACTION_ALWAYS_JOIN_STRING

    public static final String ACTION_ALWAYS_JOIN_STRING

See Also:
  Constant Field Values

### ACTION_JOIN_IF_POSSIBLE_STRING

    public static final String ACTION_JOIN_IF_POSSIBLE_STRING

See Also:
  Constant Field Values

### ACTION_NEVER_STRING

    public static final String ACTION_NEVER_STRING

See Also:
  Constant Field Values

Constructor Detail

### MuleTransactionConfig

    public MuleTransactionConfig()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getFactory

    public TransactionFactory getFactory()

  Specified by:
    `getFactory` in interface `TransactionConfig`

### setFactory

    public void setFactory(TransactionFactory factory)

  Specified by:
    `setFactory` in interface `TransactionConfig`

### getAction

    public byte getAction()

  Specified by:
    `getAction` in interface `TransactionConfig`

### setAction

    public void setAction(byte action)

  Specified by:
    `setAction` in interface `TransactionConfig`

### isInteractWithExternal

    public boolean isInteractWithExternal()

  Specified by:
    `isInteractWithExternal` in interface `TransactionConfig`

### setInteractWithExternal

    public void setInteractWithExternal(boolean interactWithExternal)

  Specified by:
    `setInteractWithExternal` in interface `TransactionConfig`

### setActionAsString

    public void setActionAsString(String action)

### getActionAsString

    public String getActionAsString()

### isTransacted

    public boolean isTransacted()

  Specified by:
    `isTransacted` in interface `TransactionConfig`

### isConfigured

    public boolean isConfigured()

  Specified by:
    `isConfigured` in interface `TransactionConfig`

### getConstraint

    public ConstraintFilter getConstraint()

  Specified by:
    `getConstraint` in interface `TransactionConfig`

### setConstraint

    public void setConstraint(ConstraintFilter constraint)

  Specified by:
    `setConstraint` in interface `TransactionConfig`

### getTimeout

    public int getTimeout()

  Specified by:
    `getTimeout` in interface `TransactionConfig`

### setTimeout

    public void setTimeout(int timeout)

  Specified by:
    `setTimeout` in interface `TransactionConfig`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.